import { EventEmitter } from '../../stencil-public-runtime';
export declare class FormControlTextarea {
    el: HTMLElement;
    isFocused: boolean;
    label: string;
    name: any;
    helpText?: string;
    errorText?: string;
    defaultValue: string;
    maxLength?: number;
    inputHandler?: (name: string, value: string) => void;
    keyDownHandler?: (event: any) => void;
    disabled?: boolean;
    handleDefaultValueChange(newValue: string): void;
    formControlInput: EventEmitter<any>;
    formControlBlur: EventEmitter<any>;
    componentDidLoad(): void;
    handleFormControlInput: (event: any) => void;
    updateInput: (newValue: any) => void;
    private get part();
    render(): any;
}
